import Request from '@/utils/request/request-util';

/**
 * low_code 流程模型api
 *
 */
export class FlowModelApi {
  /**
   * 获取流程模型列表
   * @param {*} params
   * @returns
   */
  static modelList(params) {
    return Request.get('/flowModel/list', params);
  }

  /**
   * 添加流程模型
   * @param {*} params
   * @returns
   */
  static add(params) {
    return Request.post('/flowModel/add', params);
  }

  /**
   * 编辑流程模型
   * @param {*} params
   * @returns
   */
  static edit(params) {
    return Request.post('/flowModel/edit', params);
  }

  /**
   * 删除流程模型
   * @param {*} params
   * @returns
   */
  static delete(params) {
    return Request.post('/flowModel/delete', params);
  }

  /**
   * 流程模型详情
   * @param {*} params
   * @returns
   */
  static detail(params) {
    return Request.get('/flowModel/detail', params);
  }

  /**
   * 复制模型
   * @param {*} params
   * @returns
   */
  static copy(params) {
    return Request.get('/flowModel/copy', params);
  }
}
